﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Length
{
    [Serializable]
    class Centimeter : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Centimetre [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "cm";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/100;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*100;
        }
    }
}
