﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Length
{
    [Serializable]
    class Inch : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Inch [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "in";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/39.370;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*39.370;
        }
    }
}
