﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Length
{
    [Serializable]
    class Meter : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Metre [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "m";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value;
        }
    }
}
