﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Length
{
    [Serializable]
    class Mile : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Mile [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "mi";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/0.00062137;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*0.00062137;
        }
    }
}
