﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Length
{
    [Serializable]
    class Yard : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Yard [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "yd";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/1.0936;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*1.0936;
        }
    }
}
