﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Volume
{
    [Serializable]
    class Deciliter : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Deciliter [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "dl";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value * Math.Pow(10, -4);
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value * Math.Pow(10, 4);
        }
    }
}
