﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Volume
{
    [Serializable]
    class FluidOunceUS : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"US fluid ounce [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "oz";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/33814.023;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*33814.023;
        }
    }
}
