﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Volume
{
    [Serializable]
    class Milliliter : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Milliliter [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "ml";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value * Math.Pow(10, -6);
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*Math.Pow(10, 6);
        }
    }
}
