﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Volume
{
    [Serializable]
    class PintUSDry : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"US dry pint [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "pt";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/1816.166;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*1816.166;
        }
    }
}
