﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Weight
{
    [Serializable]
    public class Gram : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Gram [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "g";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/1000;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*1000;
        }
    }
}
