﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Weight
{
    [Serializable]
    public class Kilo : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Kilogram [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "kg";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value;
        }
    }
}
