﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Weight
{
    [Serializable]
    class Microgram : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Microgram [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "mcg";
            }
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value * Math.Pow(10, 9);
            ;
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value * Math.Pow(10, -9);
        }
    }
}
