﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Weight
{
    [Serializable]
    public class Ounces : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Ounce [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "oz";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value * 0.02834952;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value/0.02834952;
        }
    }
}
