﻿using Dynamicweb.Extensibility.Editors;
using System.Collections;
using System.Web.UI.WebControls;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ParameterEditors
{
    internal class LanguageDropDown : DropDownParameterEditor
    {
        public string OptionPrefix { get; set; }

        internal override void FillDropDown(DropDownList dropdown, Hashtable table, bool showNone, string noneText)
        {
            var newOptions = new Hashtable();

            foreach (var optionKey in table.Keys)
            {
                var newOptionKey = $"{OptionPrefix}|{optionKey}";
                newOptions.Add(newOptionKey, table[optionKey]);
            }
            base.FillDropDown(dropdown, newOptions, showNone, noneText);
        }
    }
}
