﻿using System.Collections.Generic;
using Dynamicweb.Extensibility.AddIns;
using Dynamicweb.Extensibility.Editors;
using Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Weight;
using System;

namespace Dynamicweb.Ecommerce.FieldTypeProviders
{
    [AddInName("Dynamicweb.WeightFieldTypeProvider")]
    [AddInLabel("Weight FieldType Provider")]
    [AddInActive(true)]
    [Serializable]
    public class WeightFieldTypeProvider : ConversionUnitFieldTypeProviderBase
    {
        public WeightFieldTypeProvider() : base()
        {
        }

        internal override Dictionary<string, ConversionUnit> InitalizeOptions()
        {
            var options = new Dictionary<string, ConversionUnit>()
        {
            { "kg", new Kilo() },
            { "g", new Gram() },
            { "lbs", new Pound() },
            { "oz", new Ounces() },
            { "t", new Tonne() },
            {"mcg", new Microgram()},
            {"mg", new Milligram() }
        };

            return options;
        }
    }
}

