﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Length
{
    [Serializable]
    class Foot : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Foot [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "ft";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/3.2808;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*3.2808;
        }
    }
}
