﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Volume
{
    [Serializable]
    class Liter : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Litre [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "l";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/1000;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value/0.001;
        }
    }
}
