﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Weight
{
    [Serializable]
    public class Pound : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Pound [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "lbs";
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value * 0.45359237;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value/0.45359237;
        }
    }
}
