﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Weight
{
    [Serializable]
    class Tonne : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Tonne [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return "t";
            }
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value / 1000;
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value * 1000;
        }
    }
}
