﻿using System.Collections.Generic;
using Dynamicweb.Extensibility.AddIns;
using Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Length;
using System;

namespace Dynamicweb.Ecommerce.FieldTypeProviders
{
    [AddInName("Dynamicweb.LengthFieldTypeProvider")]
    [AddInLabel("Length FieldType Provider")]
    [AddInActive(true)]
    [Serializable]
    public class LengthFieldTypeProvider : ConversionUnitFieldTypeProviderBase
    {
        public LengthFieldTypeProvider() : base()
        {
        }

        internal override Dictionary<string, ConversionUnit> InitalizeOptions()
        {
            var options = new Dictionary<string, ConversionUnit>()
        {
            { "m", new Meter() },
            { "cm", new Centimeter() },
            { "km", new Kilometer() },
            { "mm", new Milimeter() },
            { "ft", new Foot() },
            { "in", new Inch() },
            { "mi", new Mile() },
            { "yd", new Yard() }
        };

            return options;
        }
    }
}